Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Managed Service for YTsaurus
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
  • Метрики Yandex Monitoring
  • Аудитные логи Audit Trails
  • История изменений

В этой статье:

  • HTTP request
  • Body parameters
  • ClusterSpec
  • StorageSpec
  • HddSpec
  • SsdSpec
  • Changelogs
  • ComputeSpec
  • DiskSpec
  • ScalePolicy
  • FixedScale
  • AutoScale
  • LinearScalingStrategy
  • TabletSpec
  • ProxySpec
  • HttpProxySpec
  • RpcProxySpec
  • TaskProxySpec
  • OdinSpec
  • CronSpec
  • ClearTmpCronSpec
  • ClientLogging
  • ExcelSpec
  • MaintenanceWindow
  • WeeklyMaintenanceWindow
  • CidrBlocks
  • Response
  • Status
  1. Справочник API
  2. REST (англ.)
  3. Cluster
  4. Create

Ytsaurus API, REST: Cluster.Create

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Body parameters
  • ClusterSpec
  • StorageSpec
  • HddSpec
  • SsdSpec
  • Changelogs
  • ComputeSpec
  • DiskSpec
  • ScalePolicy
  • FixedScale
  • AutoScale
  • LinearScalingStrategy
  • TabletSpec
  • ProxySpec
  • HttpProxySpec
  • RpcProxySpec
  • TaskProxySpec
  • OdinSpec
  • CronSpec
  • ClearTmpCronSpec
  • ClientLogging
  • ExcelSpec
  • MaintenanceWindow
  • WeeklyMaintenanceWindow
  • CidrBlocks
  • Response
  • Status

Creates a cluster in the specified folder.

HTTP requestHTTP request

POST https://ytsaurus.api.cloud.yandex.net/ytsaurus/v1/clusters

Body parametersBody parameters

{
  "folderId": "string",
  "zoneId": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "subnetId": "string",
  "securityGroupIds": [
    "string"
  ],
  "spec": {
    "storage": {
      "hdd": {
        "sizeGb": "string",
        "count": "string"
      },
      "ssd": {
        "sizeGb": "string",
        "type": "string",
        "count": "string",
        "changelogs": {
          "sizeGb": "string"
        }
      }
    },
    "compute": [
      {
        "preset": "string",
        "disks": [
          {
            "type": "string",
            "sizeGb": "string",
            "locations": [
              "string"
            ],
            "locationQuotasGb": [
              "string"
            ]
          }
        ],
        "scalePolicy": {
          // Includes only one of the fields `fixed`, `auto`
          "fixed": {
            "size": "string"
          },
          "auto": {
            "minSize": "string",
            "maxSize": "string",
            "initialSize": "string",
            // Includes only one of the fields `linear`
            "linear": {
              "cooldownInterval": "string",
              "statisticsInterval": "string",
              "overloadCoefficient": "string",
              "underloadCoefficient": "string"
            }
            // end of the list of possible fields
          }
          // end of the list of possible fields
        },
        "name": "string"
      }
    ],
    "tablet": {
      "preset": "string",
      "count": "string"
    },
    "proxy": {
      "http": {
        "count": "string"
      },
      "rpc": {
        "count": "string"
      },
      "task": {
        "count": "string"
      }
    },
    "odin": {
      "checksTtl": "string"
    },
    "flavor": "string",
    "cron": {
      "clearTmp": {
        "interval": "string",
        "accountUsageRatioSaveTotal": "string",
        "accountUsageRatioSavePerOwner": "string",
        "maxDirNodeCount": "string"
      }
    },
    "clientLogging": {
      // Includes only one of the fields `logGroupId`, `folderId`
      "logGroupId": "string",
      "folderId": "string",
      // end of the list of possible fields
      "serviceAccountId": "string",
      "auditLogsEnabled": "boolean"
    },
    "excel": {
      "enabled": "boolean"
    }
  },
  "maintenanceWindow": {
    // Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
    "anytime": "object",
    "weeklyMaintenanceWindow": {
      "day": "string",
      "hour": "string"
    }
    // end of the list of possible fields
  },
  "cidrBlocksWhitelist": {
    "v4CidrBlocks": [
      "string"
    ]
  }
}

Field

Description

folderId

string

Required field. ID of the folder to create the cluster in.

zoneId

string

Required field. ID of the availability zone where the cluster resides.

name

string

Name of the cluster.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9040104510410-044f]\S{1,61}[a-zA-Z0-9040104510410-044f].

description

string

Description of the cluster.

labels

object (map<string, string>)

Cluster labels as key:value pairs.

subnetId

string

Required field. ID of the subnet to create the cluster in.

securityGroupIds[]

string

IDs of the security groups to attach to the cluster.

spec

ClusterSpec

Cluster specification.

maintenanceWindow

MaintenanceWindow

Cluster maintenance window

cidrBlocksWhitelist

CidrBlocks

CIDRs whitelist.

ClusterSpecClusterSpec

Field

Description

storage

StorageSpec

Cluster storage configuration.

compute[]

ComputeSpec

Cluster exec nodes configuration.

tablet

TabletSpec

Cluster tablet nodes configuration.

proxy

ProxySpec

Cluster proxies configuration.

odin

OdinSpec

Odin configuration.

flavor

enum (Flavor)

Cluster flavor (type).

  • DEMO: Demo cluster configuration with minimal system resources. Not fault-tolerant, not for production use.

cron

CronSpec

Cluster regular processing settings.

clientLogging

ClientLogging

Client Cloud logging configuration.

excel

ExcelSpec

Cluster Excel configuration.

StorageSpecStorageSpec

Field

Description

hdd

HddSpec

Configuration of cluster HDD strorage.

ssd

SsdSpec

Configuration of cluster SSD strorage

HddSpecHddSpec

Field

Description

sizeGb

string (int64)

Size of a single HDD disk in GB.

count

string (int64)

Total amount of HDD disks.

SsdSpecSsdSpec

Field

Description

sizeGb

string (int64)

Size of a single SSD disk in GB.

type

string

Type of a SSD disk.

count

string (int64)

Total amount of SSD disks.

changelogs

Changelogs

Configuration of dynamic table changelogs.

ChangelogsChangelogs

Field

Description

sizeGb

string (int64)

Size of changelogs disk in GB.

ComputeSpecComputeSpec

Field

Description

preset

string

VM configuration preset name.

disks[]

DiskSpec

Configuration of exec node strorage.

scalePolicy

ScalePolicy

Exec nodes scaling policy.

name

string

Name for exec pool.

DiskSpecDiskSpec

Field

Description

type

string

Type of a disk.

sizeGb

string (int64)

Size of a single disk in GB.

locations[]

string

Locations on a disk.

locationQuotasGb[]

string (int64)

Quotas for each location. Must be the same length as locations or empty. Zero value will disable quota for location.

ScalePolicyScalePolicy

Field

Description

fixed

FixedScale

Scale policy that doesn't change number of running exec nodes over time.

Includes only one of the fields fixed, auto.

auto

AutoScale

Scale policy that can adjust number of running exec nodes within specified range based on some criteria.

Includes only one of the fields fixed, auto.

FixedScaleFixedScale

Field

Description

size

string (int64)

Amount of exec nodes.

AutoScaleAutoScale

Field

Description

minSize

string (int64)

Minimal amount of exec nodes.

maxSize

string (int64)

Maximum amount of exec nodes.

initialSize

string (int64)

Initial amount of exec nodes.

linear

LinearScalingStrategy

Linear scaling strategy.

Includes only one of the fields linear.

LinearScalingStrategyLinearScalingStrategy

Field

Description

cooldownInterval

string (duration)

Cooldown interval.

statisticsInterval

string (duration)

Statistics interval.

overloadCoefficient

string

Overload coefficient.

underloadCoefficient

string

Underload coefficient.

TabletSpecTabletSpec

Field

Description

preset

string

VM configuration preset name.

count

string (int64)

Total amount of tablet nodes.

ProxySpecProxySpec

Field

Description

http

HttpProxySpec

Configuration of HTTP proxies.

rpc

RpcProxySpec

Configuration of rpc proxies.

task

TaskProxySpec

Configuration of task proxies.

HttpProxySpecHttpProxySpec

Field

Description

count

string (int64)

Total amount of HTTP proxies.

RpcProxySpecRpcProxySpec

Field

Description

count

string (int64)

Total amount of RPC proxies.

TaskProxySpecTaskProxySpec

Field

Description

count

string (int64)

Total amount of task proxies.

OdinSpecOdinSpec

Field

Description

checksTtl

string (duration)

TTL of Odin check samples.

CronSpecCronSpec

Field

Description

clearTmp

ClearTmpCronSpec

Cluster regular tmp-account cleaning settings.

ClearTmpCronSpecClearTmpCronSpec

Field

Description

interval

string (duration)

Script starting interval.

accountUsageRatioSaveTotal

string

Total max space usage ratio.

accountUsageRatioSavePerOwner

string

Per account max space usage ratio.

maxDirNodeCount

string (int64)

Max nodes in every directory.

ClientLoggingClientLogging

Field

Description

logGroupId

string

ID of cloud logging group.

Includes only one of the fields logGroupId, folderId.

Destination of cloud logging group.

folderId

string

ID of cloud logging folder. Used default loging group.

Includes only one of the fields logGroupId, folderId.

Destination of cloud logging group.

serviceAccountId

string

ID of Service account used for write logs.

auditLogsEnabled

boolean

Enable audit logs.

ExcelSpecExcelSpec

Field

Description

enabled

boolean

Enable Excel.

MaintenanceWindowMaintenanceWindow

Field

Description

anytime

object

Maintenance can be scheduled anytime.

Includes only one of the fields anytime, weeklyMaintenanceWindow.

weeklyMaintenanceWindow

WeeklyMaintenanceWindow

Maintenance is allowed only within the specified weekly window.

Includes only one of the fields anytime, weeklyMaintenanceWindow.

WeeklyMaintenanceWindowWeeklyMaintenanceWindow

Field

Description

day

enum (WeekDay)

Day of the week when maintenance can occur.

  • MON: Monday.
  • TUE: Tuesday.
  • WED: Wednesday.
  • THU: Thursday.
  • FRI: Friday.
  • SAT: Saturday.
  • SUN: Sunday.

hour

string (int64)

Hour of the day in UTC when the maintenance window starts.

Acceptable values are 1 to 24, inclusive.

CidrBlocksCidrBlocks

Field

Description

v4CidrBlocks[]

string

IPv4 CIDR blocks.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Была ли статья полезна?

Предыдущая
List
Следующая
Update
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»